Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163377 - Selecting "Web server" options in firewall setup results in only port 80 being opened
Summary: Selecting "Web server" options in firewall setup results in only port 80 bein...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-15 18:11 UTC by Ian Neubert
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-02 18:58:03 UTC


Attachments (Terms of Use)

Description Ian Neubert 2005-07-15 18:11:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050516 Firefox/1.0.4

Description of problem:
When performing an install using the graphical installer, it asks if you want to enable the firewall. I chose to use custom selections for ports to be opened. I chose the Web server group that says it includes both HTTP/80 and HTTPS/443.

However when the system boots up, only HTTP/80 is opened to the public.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core using English language
2. Choose Web server group from custom firewall settings
3. Finish installation
  

Actual Results:  Only TCP port 80/HTTP was opened.

Expected Results:  Both TCP port 80 and 443/HTTPS should have been opened.

Additional info:

Comment 1 Chris Lumens 2005-08-02 18:58:03 UTC
In Rawhide, firewall configuration has been removed from anaconda and added to
firstboot where it uses system-config-securitylevel to do these things.  There's
a checkbox there for enabling HTTPS.


Note You need to log in before you can comment on or make changes to this bug.